<br>
<mat-divider></mat-divider>

<mat-card>
  <mat-card-content>
    <mat-toolbar>

      <button class="BtnNovoCarro" mat-raised-button
              (click)="abrirDialogCarro(carro)" color="primary">Cadastrar Carro
      </button>
      <button class="BtnDepreciar" mat-raised-button
              color="warn" (click)="ConfirmaDepreciacaoTodos(carro)">Depreciar Todos
      </button>

    </mat-toolbar>

    <br>
    <mat-divider></mat-divider>
    <br>

    <mat-card class="example-card">
      <mat-card-header>
        <mat-card-title><strong>Carro de Destaque: </strong></mat-card-title>
        <mat-card-subtitle>
          Dados Sujeitos a Mudanças por favor verifique com o Vendedor.
        </mat-card-subtitle>
      </mat-card-header>

      <mat-card-content>
        <div>
          <fieldset>
            <mat-icon>star</mat-icon>
            Codigo do Veiculo: <strong>{{showCarro?.id}}</strong></fieldset>
        </div>
        <div>
          <fieldset>
            <mat-icon>drive_eta</mat-icon>
            Modelo: <strong>{{showCarro?.modelo}}</strong></fieldset>
        </div>
        <div>
          <fieldset>
            <mat-icon>construction</mat-icon>
            Marca: <strong>{{showCarro?.marca}}</strong></fieldset>
        </div>
        <div>
          <fieldset>
            <mat-icon>palette</mat-icon>
            Cor: <strong>{{showCarro?.cor}}</strong></fieldset>
        </div>
        <div>
          <fieldset>
            <mat-icon>date_range</mat-icon>
            Ano: <strong>{{showCarro?.ano}}</strong></fieldset>
        </div>
        <div>
          <fieldset>
            <mat-icon>sell</mat-icon>
            Valor: <strong>{{showCarro?.valor | currency: 'BRL'}}</strong></fieldset>
        </div>
      </mat-card-content>
    </mat-card>

    <br>
    <mat-divider></mat-divider>
    <br>

    <div class="mat-elevation-z8">
      <mat-table [dataSource]="dataSource">
        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
        <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>

        <ng-container matColumnDef="id">
          <mat-header-cell *matHeaderCellDef>Codigo</mat-header-cell>
          <mat-cell *matCellDef="let element">{{element?.id}}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="modelo">
          <mat-header-cell *matHeaderCellDef>Modelo</mat-header-cell>
          <mat-cell *matCellDef="let element">{{element?.modelo}}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="marca">
          <mat-header-cell *matHeaderCellDef>Marca</mat-header-cell>
          <mat-cell *matCellDef="let element">{{element?.marca}}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="ano">
          <mat-header-cell *matHeaderCellDef>Ano</mat-header-cell>
          <mat-cell *matCellDef="let element">{{element?.ano}}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="cor">
          <mat-header-cell *matHeaderCellDef>Cor</mat-header-cell>
          <mat-cell *matCellDef="let element">{{element?.cor}}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="valor">
          <mat-header-cell *matHeaderCellDef>Valor</mat-header-cell>
          <mat-cell *matCellDef="let element">{{element?.valor | currency: 'BRL'}}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="action" stickyEnd>
          <mat-header-cell *matHeaderCellDef>Ações</mat-header-cell>
          <mat-cell *matCellDef="let row">
            <button mat-mini-fab style="background-color: #4b904c" (click)="mostrarCarro(row.id)"
                    matTooltip="Exibir Veiculo">
              <mat-icon>remove_red_eye</mat-icon>
            </button>
            <button mat-mini-fab style="background-color: #d6c52c" (click)="ConfirmaDepreciacao(row.id)"
                    matTooltip="Depreciar Veiculo">
              <mat-icon>local_offer</mat-icon>
            </button>
            <button mat-mini-fab color="primary" (click)="abrirDialogCarro(row)" matTooltip="Editar Carro">
              <mat-icon>edit</mat-icon>
            </button>
            <button mat-mini-fab color="warn" (click)="ConfirmaExclusao(row.id)" matTooltip="Deletar Carro">
              <mat-icon>delete</mat-icon>
            </button>
          </mat-cell>
        </ng-container>
      </mat-table>
    </div>
  </mat-card-content>
</mat-card>


